package com.fastbee.iot.mapper;

import java.util.List;
import com.fastbee.iot.domain.FirmwareTask;
import org.springframework.stereotype.Repository;

/**
 * 固件升级任务Mapper接口
 * 
 * @author kerwincui
 * @date 2022-10-24
 */
@Repository
public interface FirmwareTaskMapper 
{
    /**
     * 查询固件升级任务
     * 
     * @param id 固件升级任务主键
     * @return 固件升级任务
     */
    public FirmwareTask selectFirmwareTaskById(Long id);

    /**
     * 根据任务名称查询固件升级任务总数
     *
     * @param taskName 固件升级任务名称
     * @return 固件升级任务
     */
    public int selectCountFirmwareTaskByTaskName(String taskName);

    /**
     * 查询固件升级任务列表
     * 
     * @param firmwareTask 固件升级任务
     * @return 固件升级任务集合
     */
    public List<FirmwareTask> selectFirmwareTaskList(FirmwareTask firmwareTask);

    /**
     * 新增固件升级任务
     * 
     * @param firmwareTask 固件升级任务
     * @return 结果
     */
    public int insertFirmwareTask(FirmwareTask firmwareTask);

    /**
     * 修改固件升级任务
     * 
     * @param firmwareTask 固件升级任务
     * @return 结果
     */
    public int updateFirmwareTask(FirmwareTask firmwareTask);

    /**
     * 删除固件升级任务
     * 
     * @param id 固件升级任务主键
     * @return 结果
     */
    public int deleteFirmwareTaskById(Long id);

    /**
     * 批量删除固件升级任务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFirmwareTaskByIds(Long[] ids);
}
